Subject: bug#21092: 25.0.50; Option `lazy-highlight-max-at-a-time' does not work

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Aug 2015 11:57:27 +0300

> Date: Thu, 27 Aug 2015 13:29:58 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> > 1. emacs -Q
> > 2. Visit a file - anything other than a tiny one will do.
> > 3. Use `customize-option' to set `lazy-highlight-cleanup' to nil
> >    and set `lazy-max-at-a-time' to nil.
> > 4. Search once for a simple string that occurs multiple times throughout
> >    the buffer - e.g., `C-s the RET`.
> > 5. Scroll down to see that the matches were not highlighted throughout
> >    the buffer.  `lazy-highlight-max-at-a-time' does not work as
> >    advertised.
> 
> [Typo in step 3: `lazy-max-at-a-time' should be
> `lazy-highlight-max-at-a-time' (as in step 5).]
> 
> It would be great to hear back about this.  Is this a bug or am I
> misunderstanding something?

What do you mean by "scroll down" in step 5 above?  Scroll down how?

Scrolling (as any other command that exits I-search) removes all
highlighting, at least by default.  And "all matches" in the
variable's doc string means "all matches shown on the screen", as the
display engine never does anything beyond the displayed portion
(that's a simplification, but it will do for the purposes of this
discussion).